Subject: bug#59293: 28.1.90; Erroneous footnote link in Org info manual

From: Ihor Radchenko <[email-masked]>
Date: Thu, 17 Nov 2022 05:45:16 +0000

Eli Zaretskii <[email-masked]> writes:

>> Could someone more experienced with texinfo check if the observed is
>> something to be fixed on Org side, on Texinfo side, or maybe on
>> Info-mode side?
>
> It's a bug in info.el: it fontifies the footnote references, but the
> detection of footnote cannot distinguish between "(1)" that is a
> reference to a footnote and "(1)" that just stands for itself.

Thanks for clarification. Is it something known but difficult to fix?

> My suggestion is to modify the example in the manual to avoid the
> false match, for example use "runif(3)" if possible.  Alternatively,
> remove the real footnotes and make them notes in parentheses.  Or
> just live with the problem...

I went with runif(+1).
https://git.savannah.gnu.org/cgit/emacs/org-mode.git/commit/?id=79c64d8c3ac66e13a333a4cbc8ba15e242bc01fb

-- 
Ihor Radchenko // yantar92,
Org mode contributor,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>